# Get download file size

> Get download file size

Source: https://docs.applivery.com/en/api/app-distribution/download/retrieve-head/

---

# Get download file size

Get download file size

No request body.

**Request:** `HEAD https://download-api.applivery.io/v1/download/:downloadTokenId`

## OpenAPI specification

Machine-readable endpoint definition (dereferenced OpenAPI operation).

```json
{
  "method": "HEAD",
  "path": "/download/:downloadTokenId",
  "baseUrl": "https://download-api.applivery.io/v1",
  "servers": [
    {
      "url": "https://download-api.applivery.io/v1"
    }
  ],
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "auth": {
    "type": "http",
    "scheme": "bearer",
    "header": "Authorization",
    "format": "Bearer <token>"
  },
  "parameters": [
    {
      "name": "downloadTokenId",
      "description": "",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "pattern": "^[a-fA-F0-9]{24}$"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {}
          }
        }
      }
    },
    "401": {
      "content": {
        "application/json": {
          "schema": {
            "allOf": [
              {
                "type": "object",
                "properties": {
                  "status": {
                    "type": "boolean",
                    "enum": [
                      false
                    ]
                  }
                }
              },
              {
                "type": "object",
                "properties": {
                  "error": {
                    "oneOf": [
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              4005
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "Token Expired"
                            ]
                          }
                        }
                      }
                    ]
                  }
                }
              }
            ]
          }
        }
      }
    },
    "404": {
      "content": {
        "application/json": {
          "schema": {
            "allOf": [
              {
                "type": "object",
                "properties": {
                  "status": {
                    "type": "boolean",
                    "enum": [
                      false
                    ]
                  }
                }
              },
              {
                "type": "object",
                "properties": {
                  "error": {
                    "oneOf": [
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              3001
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "Entity not found"
                            ]
                          }
                        }
                      }
                    ]
                  }
                }
              }
            ]
          }
        }
      }
    }
  }
}
```
